# dask.array.isreal

dask.array.isreal(*args, **kwargs)

  Returns a bool array, where True if input element is real.

  This docstring was copied from numpy.isreal.

  Some inconsistencies with the Dask version may exist.

  If element has complex type with zero imaginary part, the return value for that element is True.

  Parameters:
    x array_like (Not supported in Dask)

      Input array.

  Returns:
    out ndarray, bool

      Boolean array of same shape as x.

  See also

  `iscomplex`
  `isrealobj`

    Return True if x is not a complex type.

  Notes

  isreal may behave unexpectedly for string or object arrays (see examples)

  Examples

      >>> import numpy as np
      >>> a = np.array([1+1j, 1+0j, 4.5, 3, 2, 2j], dtype=complex)
      >>> np.isreal(a)
      array([False,  True,  True,  True,  True, False])

  The function does not work on string arrays.

      >>> a = np.array([2j, "a"], dtype="U")
      >>> np.isreal(a)  # Warns about non-elementwise comparison
      False

  Returns True for all elements in input array of `dtype=object` even if any of the elements is complex.

      >>> a = np.array([1, "2", 3+4j], dtype=object)
      >>> np.isreal(a)
      array([ True,  True,  True])

  isreal should not be used with object arrays

      >>> a = np.array([1+2j, 2+1j], dtype=object)
      >>> np.isreal(a)
      array([ True,  True])